天气与日历 切换到窄版

 找回密码
 立即注册
中国膜结构网
十大进口膜材评选 十大国产膜材评选 十大膜结构设计评选 十大膜结构公司评选
查看: 41|回复: 0

使用ObjectARX从三个点创建AcDbArc

[复制链接]

该用户从未签到

主题

0

回帖

2912

积分

管理员

积分
2912
发表于 2024-6-22 09:46:18 | 显示全部楼层 |阅读模式
[code]void test2()

{  

  // get the points

  AcGePoint3d p1, p2, p3;  

  if(RTNORM != acedGetPoint(NULL, L"First point: ", asDblArray(p1))  

|| RTNORM != acedGetPoint(NULL, L"Second point: ", asDblArray(p2))  

  || RTNORM != acedGetPoint(NULL, L"Third point: ", asDblArray(p3)))  

  {

    acutPrintf(L"\nFunction canceled\n" );     

    return;   

  }   



  // create an AcGeCirc

  AcGeCircArc3d geArc(p1, p2, p3);

  AcDbArc *pArc = NULL;

  // now convert the AcGeCirc to an AcDbArc

  AcDbCurve::createFromAcGeCurve(geArc, (AcDbCurve*&) pArc);

  // now cast to a smart pointer so we don't have to worry about

  // closing or freeing

  AcDbObjectPointer<AcDbArc> arc;

  arc.acquire(pArc);

  // get the current database

  AcDbDatabase *db = curDoc()->database();

  AcDbBlockTableRecordPointer curSpace(db->currentSpaceId(), AcDb::kForWrite);

  if(curSpace.openStatus() == Acad::eOk)

    curSpace->appendAcDbEntity(arc.object());

}[/code]

 

 

 

 

使用ObjectARX从三个点创建AcDbArc
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

QQ|Archiver|中国膜结构网|中国膜结构协会|进口膜材|国产膜材|ETFE|PVDF|PTFE|设计|施工|安装|车棚|看台|污水池|中国膜结构网_中国空间膜结构协会

GMT+8, 2024-11-1 11:28 , Processed in 0.144231 second(s), 28 queries .

Powered by Discuz! X3.5

© 2001-2024 Discuz! Team.

快速回复 返回顶部 返回列表